bdi4jade.examples.planselection

## Class GenericValueFunction<T>

- java.lang.Object
- - bdi4jade.examples.planselection.GenericValueFunction<T>

-     public class GenericValueFunction<T>
      extends java.lang.Object

  Author:
    ingrid

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericValueFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(T key, java.lang.Double value)`
    `java.lang.Double` | `getAverage()`
    `int` | `getCount()`
    `java.lang.Double` | `getMax()`
    `java.lang.Double` | `getMin()`
    `java.lang.Double` | `getStandardDeviation()`
    `java.lang.Double` | `getTotal()`
    `java.lang.Double` | `getValue(T key)`
    `java.lang.Double` | `getVariance()`
    `java.util.Set<T>` | `keySet()`
    `java.lang.String` | `stats()`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toStringTab()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericValueFunction

          public GenericValueFunction()

  - ### Method Detail

    - #### addValue

          public void addValue(T key,
                               java.lang.Double value)

    - #### getAverage

          public java.lang.Double getAverage()

      Returns:
        the average

    - #### getCount

          public int getCount()

    - #### getMax

          public java.lang.Double getMax()

    - #### getMin

          public java.lang.Double getMin()

    - #### getStandardDeviation

          public java.lang.Double getStandardDeviation()

      Returns:
        the standardDeviation

    - #### getTotal

          public java.lang.Double getTotal()

      Returns:
        the total

    - #### getValue

          public java.lang.Double getValue(T key)

    - #### getVariance

          public java.lang.Double getVariance()

    - #### keySet

          public java.util.Set<T> keySet()

    - #### stats

          public java.lang.String stats()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringTab

          public java.lang.String toStringTab()